/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
  HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */


body, div, main, section, article {
  box-sizing: border-box; 
  
}

/* universal background color */
body {
  background-image: url("https://thespacollective.neocities.org/background.webp");
  background-color:#2E4669;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
 background-size: cover;
 background-blend-mode: multiply;
}

/* header image */
header img {
  width: 700px;
  max-width: 98%;
}

/* clearfix hack to prevent image overflow. check out the W3Schools page on it. */
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}


/*FONTS*/
.silkscreen-regular {
  font-family: "Silkscreen", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.silkscreen-bold {
  font-family: "Silkscreen", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.elms-sans-normie {
  font-family: "Elms Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

/* header font */
#showComic, header, h1, h2, h3 {
  font-family: "Syne Mono", system-ui;
  font-size:40px;
  text-shadow: 1px 4px 3px rgba(0,0,0,0.74);
  color: #EB6152;
  
}

/* body font */
.subPage p, h4, h5, footer, #authorNotes, .archiveTable {
   font-family: "Syne Mono", system-ui;
  font-size: 20px;
  font-style: normal;
  text-shadow: 1px 4px 3px rgba(0,0,0,0.74);
  color: #B980F2;
}
.subPage ul {
  font-family: "Syne Mono", system-ui;
  font-size: 16px;
  font-style: normal;
  text-shadow: 1px 4px 3px rgba(0,0,0,0.74);
  color: #B980F2;
}
/*ANIMATIONS*/
/* bounce text effect */
.bounce-text {
  position: absolute;
  line-height: 0;
  display: flex;
  gap: 5px;
  font-size: 3rem;
  font-weight: bold;
  
}
.bounce-text span {
  display: inline-block;
  animation: bounce 0.9s infinite ease-in-out;
}
.bounce-text span:nth-child(1) {
  animation-delay: 0s;

}
@keyframes bounce {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-15px);
  }
}

/* SCROLLING BANNER */
.wrapper {
  z-index: -1;
  max-width: 100%;
  overflow: hidden;
  height: 100px;	
 position: relative;
 background-image: url("https://thespacollective.neocities.org/img/banner_background.jpg");
 background-color:#2E4669;
 background-position: center;
 background-blend-mode: multiply;
 font-family: "Silkscreen";
 font-size: 30px;
 text-align: center;

 border: 1px solid orange;
 
}

.marquee {
  white-space: nowrap;
  overflow: hidden;
  display: inline-block;
  animation: marquee 30s linear infinite;
}

.marquee p {
  display: inline-block;
}

@keyframes marquee {
  0% {
    transform: translate3d(0, 0, 0);
  }
  100% {
    transform: translate3d(-50%, 0, 0);
  }
}



/* STYLING FOR SUBPAGES (about, characters, etc) */

/*general*/

.subPage {
  width: 800px;
  max-width: 98%;
  padding: 0px 12px 12px;
  z-index: 1;
  margin-right: 260px;
  margin-left: 260px;
  margin-bottom: 20px;
  margin: auto;
}

#authorPhoto {
 margin-bottom:20px;
  }
  
.subPage:not(.archivePage) {
  text-align: justify;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* for pictures displayed to the left */
.leftPic {
  clear: left;
  float:right;
  margin-left:20px;
}

/* for pictures displayed to the left */
.rightPic {
  clear: right;
  float:left;
  margin-right:20px;
}

/* specific to Characters */
.charTable, .charTable td { 
  width: 100%;
}

/* link colors */
a {
      color: #52DCEB;
      text-decoration: none;
    transition: all 0.4s;
    }

a:hover {
      color: #EB6152;
      letter-spacing: 3px;
    }
    
/* image swap on hover */
  .figure {
    position: relative;
    width: 200px; /* can be omitted for a regular non-lazy image */
    max-width: 100%;
  }
  .figure img.Sirv.image-hover {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    object-fit: contain;
    opacity: 0;
    transition: opacity .2s;
  }
  .figure:hover img.Sirv.image-hover {
    opacity: 1;
  }

/* HEADER */
header #nav {
  font-size: 50px;
  width: 98%;
  display: fixed;
  margin-right: 260px;
  margin-left: 260px;
  margin: auto;
}

header a { 
  display: fixed;
  width: 98%
  margin-right: 300px;
  margin-left: 300px;
  margin: auto;}

/* HOMEPAGE */

/* LEFT SIDEBAR */
/* The sidebar menu */
.sidenav {
  height: 100%;
  width: 300px; /* Set the width of the sidebar */
  max-width: 15%;
  position: fixed; /* Fixed Sidebar (stay in place on scroll) */
  top: 0; /* Stay at the top */
  left: 1;
  margin-left: auto;
  overflow-x: auto; /* Disable horizontal scroll */
  padding: 20px 15px 140px 15px;
  float: left;
  background-image: url("https://thespacollective.neocities.org/background.webp");
  background-color:#2E4669;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
 background-size: cover;
 background-blend-mode: multiply;
  text-align:justify;
  border: 1px solid orange;
}

/* The navigation menu links */
.sidenav a {
  display: flex;
}

/* When you mouse over the navigation links, change their color */
.sidenav a:hover {
  color: #f1f1f1;
}




/* On smaller screens, where height is less than 450px, change the style of the sidebar (less padding and a smaller font size) */
@media only screen and (max-height: 750px) {
  .sidenav {display:none;}
  
}

@media only screen and (max-width: 1100px) {
    .sidenav {
        display: none;
    }
}


/* RIGHT SIDEBAR */
/* The sidebar menu */
.rightsidenav {
  height: 100%; /* Full-height: remove this if you want "auto" height */
  width: 250px; /* Set the width of the sidebar */
  max-width: 15%;
  position: fixed; /* Fixed Sidebar (stay in place on scroll) */
 
  top: 0; /* Stay at the top */
  right: 1;
  margin: auto;
  overflow-x: auto; /* Disable horizontal scroll */
  padding: 20px 15px 140px 15px;
  background-image: url("https://thespacollective.neocities.org/background.webp");
  background-color:#2E4669;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
 background-size: cover;
 background-blend-mode: multiply;
 text-align:justify;
  border: 1px solid orange;
  
}

/* The navigation menu links */
.rightsidenav a {
  display: flex;
}

/* When you mouse over the navigation links, change their color */
.rightsidenav a:hover {
  color: #f1f1f1;
}

/* On smaller screens, where height is less than 450px, change the style of the sidebar (less padding and a smaller font size) */
@media only screen and (max-height: 750px) {
  .rightsidenav {display:none;}
 
 @media only screen and (max-width: 800px) {
    .rightsidenav {
        display: none;
    }
}
  
}

/* style nav button images */
.comicNav {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  padding: 10px 0px;
}
.comicNav img {
  width: 70px;
  max-width: 98%;
  padding-right: 30px;
}

/* style comic page image */
.comicPage img {
  width: 1000px;
  max-width: 98%;
}

/* style author notes */
#authorNotes {
  margin: auto;
  padding: 3px;
  padding-top: 0px;
  width: 600px;
  max-width: 98%;
}

/* ARCHIVE PAGE */

/* style table in which archive is displayed */
.archiveTable {
  width: 90%;
  border-collapse:collapse;
}

/* style archive table cells */
.archiveTable td {
  padding: 3px;
  vertical-align: center;
  
}

/* style table cell in which page title is displayed */
.archiveCellTitle:not(.leftAlignTableText) {
  max-width: 300px;
  text-align: center;
}

.archiveCellDate {
  text-align: right;
  min-width: 120px;
}

.archiveCellNum {
  text-align: center;
  min-width: 30px;
}

/* style the thumbnails on the archive page */
.archiveCellThumb {
    width: 500px;
    max-width: 60px;
}
.archiveCellThumb img{
    max-width: 100%;
  }

/* for left aligning the text in a table cell */
.leftAlignTableText td {
  text-align: left;
}

/* highlight a table row and make pointer into hand when moused over */
.archiveRow:hover {
  background-color: #090909;
  cursor: pointer;
}

/* FOOTER */
footer {
  color: #B980F2;
  margin-top: 12px;
  margin-bottom: 15px;
  float: left;
  width: 100%;
  font-size: 14px;
}

footer p {
  margin: auto;
}

footer a {
  color: #ffffff
}

footer a:hover {
  color: #868d26
}

/* take away margins from the edges of the screen */
html, body {
  margin: 0;
}

